1.2
1.2
get /v1/transit-gateways/{transit_gateway_id}/routing-rules
Description
Get Transit Gateway Rule list.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Routing Rule ID Example : 43772aff4539403d9ba74bf1fdaa00c8 | any of [string, null] | None |
| query | tgw_connection_vpc_id optional | VPC ID Connected to Transit Gateway. Example : ffeced8e191c478eabd66b6e2cab8e34 | any of [string, null] | None |
| query | tgw_connection_vpc_name optional | VPC Name Connected to Transit Gateway. Example : ConnectedVpcName | any of [string, null] | None |
| query | source_type optional | Source Type Example : TGW | enum (VPC, TGW, ON_PREMISE) | None |
| query | destination_type optional | Destination Type Example : VPC | enum (VPC, TGW, ON_PREMISE) | None |
| query | destination_cidr optional | Destination CIDR Example : 192.167.5.0/24 | any of [string, null] | None |
| query | state optional | State Example : ACTIVE | enum (CREATING, ACTIVE, DELETING, DELETED, ERROR) | None |
| query | rule_type optional | Rule Type Example : TGW_VPC | enum (TGW_VPC, TGW_UPLINK) | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayRuleListResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_rules": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"destination_resource_name": "VpcName",
"destination_type": "VPC",
"id": "43772aff4539403d9ba74bf1fdaa00c8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"rule_type": "TGW_VPC",
"source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
"source_resource_name": "TgwName",
"source_type": "TGW",
"state": "ACTIVE",
"tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
"tgw_connection_vpc_name": "ConnectedVpcName"
}
]
}